<?php

include "config.php";

if ($_GET["text"] === null) {
  exit();
}

$parsed_text = NULL;
$parsed_cw = NULL;

if ($emojiEnabled) {
  include "boilerplate/question.php";
  $parsed_text = insertEmoji(substr($_GET["text"], 0, $maxQuestionLength));
  $parsed_cw = insertEmoji(substr($_GET["cw"], 0, $maxCWLength));
}

$dataArray = array(
  "text" => substr($_GET["text"], 0, $maxQuestionLength),
  "parsedtext" => $parsed_text,
  "cw" => substr($_GET["cw"], 0, $maxCWLength),
  "parsedcw" => $parsed_cw,
  "iscwed" => !($_GET["cw"] === null || $_GET["cw"] === ""),
  "time" => date("Y-m-d H:i:sP"),
  "ispublic" => $_GET["public"] == 1,
  "isrespondedto" => false
);

pg_insert($db, "data", $dataArray);

header("Location: index.php?sent=1");

?>
